JackTrip

Public Member Functions | List of all members
JackTripThread Class Reference

Test class that runs JackTrip inside a thread. More...

`#include <JackTripThread.h>`

Inheritance diagram for JackTripThread:
[legend]
Collaboration diagram for JackTripThread:
[legend]

## Public Member Functions
| JackTripThread (JackTrip::jacktripModeT JacktripMode)
virtual | ~JackTripThread ()
void | run ()
void | setPort (int port_num)
void | setPeerAddress (const char *PeerHostOrIP)

## Detailed Description

Test class that runs JackTrip inside a thread.

## Constructor & Destructor Documentation

## ◆ JackTripThread()

JackTripThread::JackTripThread | ( | JackTrip::jacktripModeT | JacktripMode | ) |
| inline

## ◆ ~JackTripThread()

virtual JackTripThread::~JackTripThread | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ run()

void JackTripThread::run | ( |  | ) |

## ◆ setPeerAddress()

void JackTripThread::setPeerAddress | ( | const char * | PeerHostOrIP | ) |
| inline

## ◆ setPort()

void JackTripThread::setPort | ( | int | port_num | ) |
| inline

The documentation for this class was generated from the following files:

- src/JackTripThread.h
- src/JackTripThread.cpp